import javax.swing.JFrame;
import java.awt.Dimension;
import java.awt.FlowLayout;


/**
 * The JFrame which is the primary window for Paint.
 *
 * @author Matthew Drosos and Colin DeClue.
 *         Created Apr 14, 2008.
 */
public class PaintFrame extends JFrame {
	
	// Default size and title of the frame
	private static final Dimension SIZE = new Dimension(1000, 800);
	private static final String TITLE = "Paint";
	
	/**
     * Initializes the size, title, layout manager and on-close behavior of this frame.
     */
    public PaintFrame() {
    	this.setSize(PaintFrame.SIZE);
    	this.setTitle(PaintFrame.TITLE);
    	this.setLayout(new FlowLayout());
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
}
